unit uFMXLink;

interface

uses
  Windows, Dialogs, Classes;

type
  TShowBitmapFromStream = function(ms: TMemoryStream): Boolean;

var
  ShowBitmapFromStream : TShowBitmapFromStream = nil;
  DllHandle : THandle;

implementation

initialization

if DllHandle = 0 then begin
  DllHandle := LoadLibrary('FMXFilters.dll'); // loads the DLL if it exists
  if DllHandle > 0 then begin //succesfully loaded the DLL
    @ShowBitmapFromStream := GetProcAddress(DllHandle, 'ShowBitmapFromStream');//map the functiuon in the DLL
  end
else begin
  MessageDlg('ShowBitmapFromStream steht nicht zur Verfgung', mtInformation, [mbOK], 0);
end;

end;

finalization
  if DLLHandle <> 0 then
    FreeLibrary(DLLHandle);
end.


